Package org.eclipse.birt.core.template

# Class TextTemplate.ValueNode

java.lang.Object
org.eclipse.birt.core.template.TextTemplate.Node
org.eclipse.birt.core.template.TextTemplate.ValueNode

Direct Known Subclasses:
  `TextTemplate.ExpressionValueNode`

Enclosing class:
  `TextTemplate`

public static class TextTemplate.ValueNode extends TextTemplate.Node

## Constructor Summary

Constructors
Constructor
Description
`ValueNode()`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(TextTemplate.Visitor visitor, Object value)`
`String`
`getFormat()`
`String`
`getFormatExpression()`
`String`
`getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValueNode

public ValueNode()

## Method Details

### getFormat

public String getFormat()

### getFormatExpression

public String getFormatExpression()

### getValue

public String getValue()

### accept

public void accept(TextTemplate.Visitor visitor, Object value)

Specified by:
  `accept` in class `TextTemplate.Node`